gr::radar::usrp_echotimer_cc Class Referenceabstract

<+description of block+> More...

`#include <usrp_echotimer_cc.h>`

Inheritance diagram for gr::radar::usrp_echotimer_cc:

## Public Types

typedef std::shared_ptr< usrp_echotimer_cc > | sptr

## Public Member Functions

virtual void | set_num_delay_samps (int num_samps)=0
virtual void | set_rx_gain (float gain)=0
virtual void | set_tx_gain (float gain)=0

## Static Public Member Functions

static sptr

make (int samp_rate, float center_freq, int num_delay_samps, std::string args_tx, int channel_tx, std::string wire_tx, std::string clock_source_tx, std::string time_source_tx, std::string antenna_tx, float gain_tx, float timeout_tx, float wait_tx, float lo_offset_tx, std::string args_rx, int channel_rx, std::string wire_rx, std::string clock_source_rx, std::string time_source_rx, std::string antenna_rx, float gain_rx, float timeout_rx, float wait_rx, float lo_offset_rx, const std::string &len_key="packet_len")

| Return a shared_ptr to a new instance of radar::usrp_echotimer_cc.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<usrp_echotimer_cc> gr::radar::usrp_echotimer_cc::sptr

## Member Function Documentation

## make()

sptr gr::radar::usrp_echotimer_cc::make | ( | int | samp_rate,
|  | float | center_freq,
|  | int | num_delay_samps,
|  | std::string | args_tx,
|  | int | channel_tx,
|  | std::string | wire_tx,
|  | std::string | clock_source_tx,
|  | std::string | time_source_tx,
|  | std::string | antenna_tx,
|  | float | gain_tx,
|  | float | timeout_tx,
|  | float | wait_tx,
|  | float | lo_offset_tx,
|  | std::string | args_rx,
|  | int | channel_rx,
|  | std::string | wire_rx,
|  | std::string | clock_source_rx,
|  | std::string | time_source_rx,
|  | std::string | antenna_rx,
|  | float | gain_rx,
|  | float | timeout_rx,
|  | float | wait_rx,
|  | float | lo_offset_rx,
|  | const std::string & | len_key = "packet_len" )

static

Return a shared_ptr to a new instance of radar::usrp_echotimer_cc.

To avoid accidental use of raw pointers, radar::usrp_echotimer_cc's constructor is in a private implementation class. radar::usrp_echotimer_cc::make is the public interface for creating new instances.

## set_num_delay_samps()

virtual void gr::radar::usrp_echotimer_cc::set_num_delay_samps | ( | int | num_samps | ) |

pure virtual

Implemented in gr::radar::usrp_echotimer_cc_impl.

## set_rx_gain()

virtual void gr::radar::usrp_echotimer_cc::set_rx_gain | ( | float | gain | ) |

pure virtual

Implemented in gr::radar::usrp_echotimer_cc_impl.

## set_tx_gain()

virtual void gr::radar::usrp_echotimer_cc::set_tx_gain | ( | float | gain | ) |

pure virtual

Implemented in gr::radar::usrp_echotimer_cc_impl.

The documentation for this class was generated from the following file:

- usrp_echotimer_cc.h